# Jaxer.Container : Object
Return to: Jaxer Framework index

Container object that is used for all types of containers (e.g. session, sessionPage, etc).

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Container Constructor(String type, String key, Object persistor, String name) : Jaxer.Container This is the contructor for the Container object, used for all types of containers (session, sessionPage, etc). (Advanced) | Show Details | 1.0 | no

### Jaxer.Container(String type, String key, Object persistor, String name) : Jaxer.Container

This is the contructor for the Container object, used for all types of containers (session, sessionPage, etc).
(Advanced)

Parameters

String | type | The type of the container
String | key | The key for the specific instance of the container (e.g. the sessionPage container is per page, and the page's key is used here)
Object | persistor | An instance of the persistor (e.g. a DBPersistor) to be used to persist this container
String | name | The name of this container

Returns

Jaxer.Container | Returns an instance of Container.

Visibility
  advanced

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
exists(String name) : Boolean Does the container have the given property set? (Advanced) | Show Details | 1.0 | no

Parameters

String | name | The name of the property to look for

Returns

Boolean | true if it exists, false otherwise

get(String name) : Object Gets the value of the given property (Advanced) | Show Details | 1.0 | no

Parameters

String | name | The name of the property whose value we need

Returns

Object | The value

isPreviouslyPersisted(String name) : Boolean Was this property just created, or was it previously persisted? (Advanced) | Show Details | 1.0 | no

Parameters

String | name | The name of the property to query

Returns

Boolean | true if it was already there before, false if it's newly added

loadIfNeeded() : void Load the container from its store, but only if it has not yet been loaded (Advanced) | No Details | 1.0 | no

persist(Object doc) : void Persists a container. (Advanced) | Show Details | 1.0 | no

Parameters

Object | doc | The document into which container information may be persisted (currently not used)

remove(String name) : void Remove (unset) a property (Advanced) | Show Details | 1.0 | no

Parameters

String | name | The name of the property to remove

removeAll() : void Removes (unsets) all properties on this container (Advanced) | No Details | 1.0 | no

revert(String name) : void Revert a property to its previously-persisted value (Advanced) | Show Details | 1.0 | no

Parameters

String | name | The name of the property to revert

set(String name, Object value) : void Sets a name-value pair in the current container. (Advanced) | Show Details | 1.0 | no

Parameters

String | name | The name of the property to set
Object | value | The value of the property

touch(String name) : void Mark a property as changed so it persists (Advanced) | Show Details | 1.0 | no

Parameters

String | name | The name of the property to touch

static init(String appKey, String pageKey) : void Initialize the Containers subsystem for the current request (Advanced) | Show Details | 1.0 | no

Parameters

String | appKey | The string identifying the application associated with the current request
String | pageKey | The string identifying the page associated with the current request

static persistAll(Object doc) : void Persists all container data to the store (as needed). (Advanced) | Show Details | 1.0 | no

Parameters

Object | doc | The current document, if any, into which the clientData container's data will be inserted. Not applicable for callbacks.

aptana_docs